Subject: Re: bug#25345: 26.0.50; crash on mac, just rebuilt from git tip

From: Alan Third <[email-masked]>
Date: Tue, 3 Jan 2017 21:07:28 +0000

On Tue, Jan 03, 2017 at 04:00:42PM -0500, Sam Steingold wrote:
> it just reported "too many open files" before it dies.
> however, the awful slowness of typing seems to be gone.
> random crashes remain (even without "too many open files").

Are you doing anything in common between the crashes? How is ‘too many
open files’ reported, in the terminal?

I suspect that I’ve broken the mechanism that Emacs uses to close file
handlers.

Thanks for trying the patch out. I’ll try and come up with a solution
as soon as possible.
-- 
Alan Third